SDL_CommonEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | reserved
Uint64 | timestamp

## Detailed Description

Fields shared by every event

Since
  This struct is available since SDL 3.2.0.

Definition at line 287 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_CommonEvent::reserved

Definition at line 290 of file SDL_events.h.

## timestamp

Uint64 SDL_CommonEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 291 of file SDL_events.h.

## type

Uint32 SDL_CommonEvent::type

Event type, shared with all events, Uint32 to cover user events which are not in the SDL_EventType enumeration

Definition at line 289 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h